using System.Runtime.InteropServices;

namespace Decal.Interop.Net;

[TypeLibType(TypeLibTypeFlags.FHidden)]
[ClassInterface(ClassInterfaceType.None)]
public sealed class IWebRequestEvents_SinkHelper : IWebRequestEvents
{
	public IWebRequestEvents_BeginEventHandler m_BeginDelegate;

	public IWebRequestEvents_EndEventHandler m_EndDelegate;

	public int m_dwCookie;

	public void Begin()
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_BeginDelegate != null)
		{
			m_BeginDelegate();
		}
	}

	public void End(int P_0, string P_1)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_EndDelegate != null)
		{
			m_EndDelegate(P_0, P_1);
		}
	}

	internal IWebRequestEvents_SinkHelper()
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		m_dwCookie = 0;
		m_BeginDelegate = null;
		m_EndDelegate = null;
	}
}
